Querying for notes

Use the following endpoints to query for notes:

Endpoint Returns
/common/v1/notes/{noteId} The note with the given ID (see below)
/claim/v1/claims/{claimId}/notes

ClaimCenter: All notes associated with the given claim

This is a "potentially large" endpoint. Cloud API returns an error if you attempt to sort on this endpoint and the sort cannot be accomplished efficiently. For more information, see Potentially large endpoints.

/account/v1/accounts/{accountId}/notes PolicyCenter: All notes associated with the given account
/job/v1/jobs/{jobId}/notes PolicyCenter: All notes associated with the given job
/policy/v1/policies/{policyId}/notes PolicyCenter: All notes associated with the given policy
/billing/v1/accounts/{accountId}/notes BillingCenter: All notes associated with the given account
/billing/v1/accounts/{accountId}/policies/{policyId}/notes BillingCenter: All notes associated with the given policy
/common/v1/activities/{activityId}/notes All notes associated with the given activity

By default, the GET /notes/{noteId} endpoint returns the body field, but the GET /notes endpoints do not. This is because of the potentially large size of the body field. To prevent overly large payloads, Guidewire recommends that you retrieve the body field only if the body is needed. The body can be retrieved using the ?fields=body query parameter.

The /common/v1/notes/{noteId} endpoint can be used to retrieve any note in InsuranceSuite. This includes notes that belong to other applications, such as claims in ClaimCenter, jobs in PolicyCenter, or accounts in BillingCenter, for example.